Overview
GET
/auth/user-methods/{id}authGet a user auth method (admin)
Fetch a record from user-methods by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
auth method
- idstring
- userIdstring
- providerstring
- providerIdstring?
- hasCredentialboolean
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"userId": "string",
"provider": "string",
"providerId": "string",
"hasCredential": true,
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/auth/user-methods/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/user-methods/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();